# CheckpointSchedule

Represents a Checkpoint Schedule for an Asset. Schedules can be set up to create Checkpoints at regular intervals

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)‹[UniqueIdentifiers](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/uniqueidentifiers.md), [HumanReadable](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/humanreadable.md)›

  ↳ **CheckpointSchedule**

## Index

### Properties

* [asset](#asset)
* [complexity](#complexity)
* [context](#protected-context)
* [expiryDate](#expirydate)
* [id](#id)
* [period](#period)
* [start](#start)
* [uuid](#uuid)

### Methods

* [details](#details)
* [exists](#exists)
* [getCheckpoints](#getcheckpoints)
* [isEqual](#isequal)
* [toHuman](#tohuman)
* [generateUuid](#static-generateuuid)
* [unserialize](#static-unserialize)

## Properties

### asset

• **asset**: [*Asset*](/polymesh-sdk-api-reference/docs-beta/classes/asset.md)

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:65*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L65)

Asset for which Checkpoints are scheduled

***

### complexity

• **complexity**: *BigNumber*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:87*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L87)

abstract measure of the complexity of this Schedule. Shorter periods translate into more complexity

***

### `Protected` context

• **context**: *Context*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)*.*[*context*](#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L48)

***

### expiryDate

• **expiryDate**: *Date | null*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:82*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L82)

date at which the last Checkpoint will be created with this Schedule. A null value means that this Schedule never expires

***

### id

• **id**: *BigNumber*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:60*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L60)

schedule identifier number

***

### period

• **period**: [*CalendarPeriod*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/calendarperiod.md) *| null*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:71*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L71)

how often this Schedule creates a Checkpoint. A null value means this Schedule creates a single Checkpoint and then expires

***

### start

• **start**: *Date*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:76*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L76)

first Checkpoint creation date

***

### uuid

• **uuid**: *string*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)*.*[*uuid*](#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L46)

## Methods

### details

▸ **details**(): *Promise‹*[*ScheduleDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/scheduledetails.md)*›*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:123*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L123)

Retrieve information specific to this Schedule

**Returns:** *Promise‹*[*ScheduleDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/scheduledetails.md)*›*

***

### exists

▸ **exists**(): *Promise‹boolean›*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)*.*[*exists*](/polymesh-sdk-api-reference/docs-beta/classes/entity.md#abstract-exists)

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:189*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L189)

Determine whether this Checkpoint Schedule exists on chain

**Returns:** *Promise‹boolean›*

***

### getCheckpoints

▸ **getCheckpoints**(): *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*\[]›*

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:157*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L157)

Retrieve all Checkpoints created by this Schedule

**Returns:** *Promise‹*[*Checkpoint*](/polymesh-sdk-api-reference/docs-beta/classes/checkpoint.md)*\[]›*

***

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)‹unknown, unknown›): *boolean*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)*.*[*isEqual*](#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L61)

Determine whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                                |
| -------- | ----------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

***

### toHuman

▸ **toHuman**(): [*HumanReadable*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/humanreadable.md)

*Overrides* [*Entity*](/polymesh-sdk-api-reference/docs-beta/classes/entity.md)*.*[*toHuman*](/polymesh-sdk-api-reference/docs-beta/classes/entity.md#abstract-tohuman)

*Defined in* [*src/api/entities/CheckpointSchedule/index.ts:211*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/CheckpointSchedule/index.ts#L211)

Return the Schedule's static data

**Returns:** [*HumanReadable*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/beta/docs/interfaces/humanreadable.md)

***

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)*.*[*generateUuid*](#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

***

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*CheckpointSchedule*](/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md)*.*[*unserialize*](#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/31a16a34/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-beta/classes/checkpointschedule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
